import osmnx as ox

def tableau_vers_chaine_caractere(tableau, separateur):
    """
    Cette fonction a pour but de transformer un tableau de chaîne de caractère
    vers une chaine de caractère

    :param tableau: tableau de chaine de caractère
    :param separateur: chaîne de caractère servant à séparer les cases du tableau
    :return: concaténation des chaines de caractère du tableau sépparré à l'aide d'un ou plusieurs caractères.
    La chaine de retour commence par le séparateur
    """
    retour = ""
    for chaine in tableau:
        retour = retour + separateur + chaine
    return retour


if __name__ == '__main__':
    nom_ville = "Bolbec"
    informations_supplementaires = ["Normandie", "France"]
    G = ox.graph_from_place(nom_ville + tableau_vers_chaine_caractere(informations_supplementaires, ", "),
                            network_type="drive")
    ox.save_graphml(G, "./Data/" + nom_ville + tableau_vers_chaine_caractere(informations_supplementaires, "_") +
                    ".graphml")
    fig, ax = ox.plot_graph(G)
